package com.bonus.core.device.manage.controller.deprecated.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("设备刷脸付获取authToken")
public class MachineGetAuthTokenDTO {
   @ApiModelProperty("当前刷脸所需的设备信息(机具端调用刷脸SDK接口获取)")
   private String metaInfo;
   @ApiModelProperty("刷脸服务Id(pay-刷脸支付 auth-刷脸核身)")
   private String serviceId;
   @ApiModelProperty("扩展参数")
   private String serviceParams;

   public String getMetaInfo() {
      return this.metaInfo;
   }

   public String getServiceId() {
      return this.serviceId;
   }

   public String getServiceParams() {
      return this.serviceParams;
   }

   public void setMetaInfo(final String metaInfo) {
      this.metaInfo = metaInfo;
   }

   public void setServiceId(final String serviceId) {
      this.serviceId = serviceId;
   }

   public void setServiceParams(final String serviceParams) {
      this.serviceParams = serviceParams;
   }

}
